Bug 679523 (CVE-2011-1058)

Summary: CVE-2011-1058 MoinMoin: XSS in the rst parser
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: extras-orphan, ivazqueznet, mmcgrath, vpvainio
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20110221,reported=20110222,source=cve,impact=moderate,cvss2=5.8/AV:N/AC:M/Au:N/C:P/I:P/A:N/,fedora-all/moin=affected/cvss2=5.8/AV:N/AC:M/Au:N/C:P/I:P/A:N,epel-4/moin=notaffected,epel-5/moin=notaffected,cwe=CWE-79[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-03-10 05:23:34 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 679524    
Bug Blocks:    

Description Jan Lieskovsky 2011-02-22 14:30:12 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-1058 to
the following vulnerability:

Cross-site scripting (XSS) vulnerability in the rst parser in
parser/text_rst.py in MoinMoin before 1.9.3, when docutils is
installed or when "format rst" is set, allows remote attackers to
inject arbitrary web script or HTML via a javascript: URL.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1058
[2] http://moinmo.in/SecurityFixes

Relevant changeset:
[3] http://hg.moinmo.in/moin/1.9/rev/97208f67798f
Comment 1 Jan Lieskovsky 2011-02-22 14:32:05 EST
This issue affects the versions of the moin package, as shipped with
Fedora release of 13 and 14.

Please schedule an update.

--

This issue did NOT affect the versions of the moin package, as present
within EPEL-4 and EPEL-5 repositories.
Comment 2 Jan Lieskovsky 2011-02-22 14:32:48 EST
Created moin tracking bugs for this issue

Affects: fedora-all [bug 679524]
Comment 3 Ville-Pekka Vainio 2011-02-26 17:19:10 EST
Updates are in testing, for example https://admin.fedoraproject.org/updates/moin-1.9.3-4.fc13
Comment 4 Ville-Pekka Vainio 2011-03-10 05:23:34 EST
Updates are in stable now, closing.